Blender 2.79b SOMETIMES fails to start: "Your system does not use 3D hardware acceleration"
Closed, ArchivedPublic

Description

I am using Blender 2.79b on a Windows 10 system with two GTX 1080Ti cards and latest nVidia video drivers, 64 GB RAM. Usually it works perfectly, but sometimes it fails to start with the message "Your system does not use 3D hardware acceleration". In the DOS box, two other error messages appear:

WARNING: Using ChoosePixelformat (appears twice, perhaps once for each video card?) WARNING: Legacy WGL unable to select between OpenGL versions.

When this happens, retrying never fixes it. Sometimes rebooting fixes it, but sometimes I have to uninstall and then reinstall Blender. So frustrating!

Details

Type
Bug
Philipp Oeser (lichtwerk) triaged this task as Incomplete priority.Jun 12 2018, 1:21 PM

Hm, seems like somehow not using the NVidia cards (or falls back)

reading the source, your GPU vendor is detected as "Microsoft Corporation" or "GDI Generic" in this case.

  • are these the drivers from NVIDIA (or somehow installed via Windows?) Which version? Have you tried other versions?
  • is there another (integrated?) graphics chip in your system?
  • have you tried launching blender explicitly with the NVIDIAs? (I believe you can choose this in the windows context menu?)
  • could you attach your system info here [In blender: Help >> Save System Info]

Marking as incomplete until we have an answer...

Thank you for looking into this!

are these the drivers from NVIDIA (or somehow installed via Windows?) Which version? Have you tried other versions? <<

These are the latest nVidia drivers (23.21.13.9135), updated just a few days ago. It also failed with drivers that were about 6 months old.

is there another (integrated?) graphics chip in your system? <<

No

have you tried launching blender explicitly with the NVIDIAs? (I believe you can choose this in the windows context menu?) <<

No, but I'll try it the next time it fails to start.

>> could you attach your system info here [In blender: Help >> Save System Info] <<

Blender 2.79 (sub 0) System Information

Blender:

version: 2.79 (sub 0), branch: master, commit date: 2018-03-22 14:10, hash: f4dc9f9d68b, type:
build date: Thu 03/22/2018, 09:59 AM
platform: Windows
binary path: 'C:\\Program Files\\Blender Foundation\\Blender\\blender.exe'
build cflags: /W3 /w34062 /wd4018 /wd4146 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /DWIN32 /D_WINDOWS /W3 /nologo /J /Gd /MP /openmp
build cxxflags: /W3 /w34062 /wd4018 /wd4146 /wd4065 /wd4127 /wd4181 /wd4200 /wd4244 /wd4267 /wd4305 /wd4800 /we4013 /we4431 /DWIN32 /D_WINDOWS /W3 /GR /EHsc /nologo /J /Gd /MP /EHsc /openmp
build linkflags: /MACHINE:X64 /SUBSYSTEM:CONSOLE /STACK:2097152 /INCREMENTAL:NO /NODEFAULTLIB:msvcrt.lib /NODEFAULTLIB:msvcmrt.lib /NODEFAULTLIB:msvcurt.lib /NODEFAULTLIB:msvcrtd.lib /ignore:4049 /ignore:4217 /ignore:4221
build system: CMake

Python:

version: 3.5.3 (default, May 20 2017, 19:10:40) [MSC v.1800 64 bit (AMD64)]
paths:

'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\addons_contrib'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\addons'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\startup'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\modules'
'C:\\Program Files\\Blender Foundation\\Blender\\python35.zip'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\python\\DLLs'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\python\\lib'
'C:\\Program Files\\Blender Foundation\\Blender'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\python'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\python\\lib\\site-packages'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\freestyle\\modules'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\modules'
'C:\\Users\\Timothy\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\modules'

Python (External Binary):

binary path: 'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\python\\bin\\python.EXE'
version: Python 3.5.3

Directories:

scripts:

'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts\\modules'
'C:\\Program Files\\Blender Foundation\\Blender\\2.79\\scripts'
'C:\\Users\\Timothy\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts'

user scripts: 'C:\\Users\\Timothy\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts'
pref scripts: None
datafiles: 'C:\\Users\\Timothy\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\datafiles\\'
config: 'C:\\Users\\Timothy\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\config\\'
scripts : 'C:\\Users\\Timothy\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\'
autosave: 'C:\\Users\\Timothy\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\autosave\\'
tempdir: 'C:\\Users\\Timothy\\AppData\\Local\\Temp\\blender_a09268\\'

FFmpeg:

avcodec: '57, 64, 101'
avdevice: '57, 1, 100'
avformat: '57, 56, 100'
avutil: '55, 34, 100'
swscale: ' 4, 2, 100'

SDL:

Version: 2.0.4
Loading method: linked (WITH_SDL_DYNLOAD=OFF)

Other Libraries:

OpenColorIO: 1, 0, 9
OpenImageIO: 1, 7, 15
OpenShadingLanguage: 1, 7, 5
OpenSubdiv: 3, 1, 1
OpenVDB: 3, 1, 0
Alembic: 1, 7, 1

OpenGL:

renderer: 'GeForce GTX 1080 Ti/PCIe/SSE2'
vendor: 'NVIDIA Corporation'
version: '4.6.0 NVIDIA 391.35'
extensions:

GL_AMD_multi_draw_indirect
GL_AMD_seamless_cubemap_per_texture
GL_AMD_vertex_shader_layer
GL_AMD_vertex_shader_viewport_index
GL_ARB_ES2_compatibility
GL_ARB_ES3_1_compatibility
GL_ARB_ES3_2_compatibility
GL_ARB_ES3_compatibility
GL_ARB_arrays_of_arrays
GL_ARB_base_instance
GL_ARB_bindless_texture
GL_ARB_blend_func_extended
GL_ARB_buffer_storage
GL_ARB_clear_buffer_object
GL_ARB_clear_texture
GL_ARB_clip_control
GL_ARB_color_buffer_float
GL_ARB_compatibility
GL_ARB_compressed_texture_pixel_storage
GL_ARB_compute_shader
GL_ARB_compute_variable_group_size
GL_ARB_conditional_render_inverted
GL_ARB_conservative_depth
GL_ARB_copy_buffer
GL_ARB_copy_image
GL_ARB_cull_distance
GL_ARB_debug_output
GL_ARB_depth_buffer_float
GL_ARB_depth_clamp
GL_ARB_depth_texture
GL_ARB_derivative_control
GL_ARB_direct_state_access
GL_ARB_draw_buffers
GL_ARB_draw_buffers_blend
GL_ARB_draw_elements_base_vertex
GL_ARB_draw_indirect
GL_ARB_draw_instanced
GL_ARB_enhanced_layouts
GL_ARB_explicit_attrib_location
GL_ARB_explicit_uniform_location
GL_ARB_fragment_coord_conventions
GL_ARB_fragment_layer_viewport
GL_ARB_fragment_program
GL_ARB_fragment_program_shadow
GL_ARB_fragment_shader
GL_ARB_fragment_shader_interlock
GL_ARB_framebuffer_no_attachments
GL_ARB_framebuffer_object
GL_ARB_framebuffer_sRGB
GL_ARB_geometry_shader4
GL_ARB_get_program_binary
GL_ARB_get_texture_sub_image
GL_ARB_gl_spirv
GL_ARB_gpu_shader5
GL_ARB_gpu_shader_fp64
GL_ARB_gpu_shader_int64
GL_ARB_half_float_pixel
GL_ARB_half_float_vertex
GL_ARB_imaging
GL_ARB_indirect_parameters
GL_ARB_instanced_arrays
GL_ARB_internalformat_query
GL_ARB_internalformat_query2
GL_ARB_invalidate_subdata
GL_ARB_map_buffer_alignment
GL_ARB_map_buffer_range
GL_ARB_multi_bind
GL_ARB_multi_draw_indirect
GL_ARB_multisample
GL_ARB_multitexture
GL_ARB_occlusion_query
GL_ARB_occlusion_query2
GL_ARB_parallel_shader_compile
GL_ARB_pipeline_statistics_query
GL_ARB_pixel_buffer_object
GL_ARB_point_parameters
GL_ARB_point_sprite
GL_ARB_polygon_offset_clamp
GL_ARB_post_depth_coverage
GL_ARB_program_interface_query
GL_ARB_provoking_vertex
GL_ARB_query_buffer_object
GL_ARB_robust_buffer_access_behavior
GL_ARB_robustness
GL_ARB_sample_locations
GL_ARB_sample_shading
GL_ARB_sampler_objects
GL_ARB_seamless_cube_map
GL_ARB_seamless_cubemap_per_texture
GL_ARB_separate_shader_objects
GL_ARB_shader_atomic_counter_ops
GL_ARB_shader_atomic_counters
GL_ARB_shader_ballot
GL_ARB_shader_bit_encoding
GL_ARB_shader_clock
GL_ARB_shader_draw_parameters
GL_ARB_shader_group_vote
GL_ARB_shader_image_load_store
GL_ARB_shader_image_size
GL_ARB_shader_objects
GL_ARB_shader_precision
GL_ARB_shader_storage_buffer_object
GL_ARB_shader_subroutine
GL_ARB_shader_texture_image_samples
GL_ARB_shader_texture_lod
GL_ARB_shader_viewport_layer_array
GL_ARB_shading_language_100
GL_ARB_shading_language_420pack
GL_ARB_shading_language_include
GL_ARB_shading_language_packing
GL_ARB_shadow
GL_ARB_sparse_buffer
GL_ARB_sparse_texture
GL_ARB_sparse_texture2
GL_ARB_sparse_texture_clamp
GL_ARB_spirv_extensions
GL_ARB_stencil_texturing
GL_ARB_sync
GL_ARB_tessellation_shader
GL_ARB_texture_barrier
GL_ARB_texture_border_clamp
GL_ARB_texture_buffer_object
GL_ARB_texture_buffer_object_rgb32
GL_ARB_texture_buffer_range
GL_ARB_texture_compression
GL_ARB_texture_compression_bptc
GL_ARB_texture_compression_rgtc
GL_ARB_texture_cube_map
GL_ARB_texture_cube_map_array
GL_ARB_texture_env_add
GL_ARB_texture_env_combine
GL_ARB_texture_env_crossbar
GL_ARB_texture_env_dot3
GL_ARB_texture_filter_anisotropic
GL_ARB_texture_filter_minmax
GL_ARB_texture_float
GL_ARB_texture_gather
GL_ARB_texture_mirror_clamp_to_edge
GL_ARB_texture_mirrored_repeat
GL_ARB_texture_multisample
GL_ARB_texture_non_power_of_two
GL_ARB_texture_query_levels
GL_ARB_texture_query_lod
GL_ARB_texture_rectangle
GL_ARB_texture_rg
GL_ARB_texture_rgb10_a2ui
GL_ARB_texture_stencil8
GL_ARB_texture_storage
GL_ARB_texture_storage_multisample
GL_ARB_texture_swizzle
GL_ARB_texture_view
GL_ARB_timer_query
GL_ARB_transform_feedback2
GL_ARB_transform_feedback3
GL_ARB_transform_feedback_instanced
GL_ARB_transform_feedback_overflow_query
GL_ARB_transpose_matrix
GL_ARB_uniform_buffer_object
GL_ARB_vertex_array_bgra
GL_ARB_vertex_array_object
GL_ARB_vertex_attrib_64bit
GL_ARB_vertex_attrib_binding
GL_ARB_vertex_buffer_object
GL_ARB_vertex_program
GL_ARB_vertex_shader
GL_ARB_vertex_type_10f_11f_11f_rev
GL_ARB_vertex_type_2_10_10_10_rev
GL_ARB_viewport_array
GL_ARB_window_pos
GL_ATI_draw_buffers
GL_ATI_texture_float
GL_ATI_texture_mirror_once
GL_EXTX_framebuffer_mixed_formats
GL_EXT_Cg_shader
GL_EXT_abgr
GL_EXT_bgra
GL_EXT_bindable_uniform
GL_EXT_blend_color
GL_EXT_blend_equation_separate
GL_EXT_blend_func_separate
GL_EXT_blend_minmax
GL_EXT_blend_subtract
GL_EXT_compiled_vertex_array
GL_EXT_depth_bounds_test
GL_EXT_direct_state_access
GL_EXT_draw_buffers2
GL_EXT_draw_instanced
GL_EXT_draw_range_elements
GL_EXT_fog_coord
GL_EXT_framebuffer_blit
GL_EXT_framebuffer_multisample
GL_EXT_framebuffer_multisample_blit_scaled
GL_EXT_framebuffer_object
GL_EXT_framebuffer_sRGB
GL_EXT_geometry_shader4
GL_EXT_gpu_program_parameters
GL_EXT_gpu_shader4
GL_EXT_import_sync_object
GL_EXT_memory_object
GL_EXT_memory_object_win32
GL_EXT_multi_draw_arrays
GL_EXT_packed_depth_stencil
GL_EXT_packed_float
GL_EXT_packed_pixels
GL_EXT_pixel_buffer_object
GL_EXT_point_parameters
GL_EXT_polygon_offset_clamp
GL_EXT_post_depth_coverage
GL_EXT_provoking_vertex
GL_EXT_raster_multisample
GL_EXT_rescale_normal
GL_EXT_secondary_color
GL_EXT_semaphore
GL_EXT_semaphore_win32
GL_EXT_separate_shader_objects
GL_EXT_separate_specular_color
GL_EXT_shader_image_load_formatted
GL_EXT_shader_image_load_store
GL_EXT_shader_integer_mix
GL_EXT_shadow_funcs
GL_EXT_sparse_texture2
GL_EXT_stencil_two_side
GL_EXT_stencil_wrap
GL_EXT_texture3D
GL_EXT_texture_array
GL_EXT_texture_buffer_object
GL_EXT_texture_compression_dxt1
GL_EXT_texture_compression_latc
GL_EXT_texture_compression_rgtc
GL_EXT_texture_compression_s3tc
GL_EXT_texture_cube_map
GL_EXT_texture_edge_clamp
GL_EXT_texture_env_add
GL_EXT_texture_env_combine
GL_EXT_texture_env_dot3
GL_EXT_texture_filter_anisotropic
GL_EXT_texture_filter_minmax
GL_EXT_texture_integer
GL_EXT_texture_lod
GL_EXT_texture_lod_bias
GL_EXT_texture_mirror_clamp
GL_EXT_texture_object
GL_EXT_texture_sRGB
GL_EXT_texture_sRGB_decode
GL_EXT_texture_shared_exponent
GL_EXT_texture_storage
GL_EXT_texture_swizzle
GL_EXT_timer_query
GL_EXT_transform_feedback2
GL_EXT_vertex_array
GL_EXT_vertex_array_bgra
GL_EXT_vertex_attrib_64bit
GL_EXT_win32_keyed_mutex
GL_EXT_window_rectangles
GL_IBM_rasterpos_clip
GL_IBM_texture_mirrored_repeat
GL_KHR_blend_equation_advanced
GL_KHR_blend_equation_advanced_coherent
GL_KHR_context_flush_control
GL_KHR_debug
GL_KHR_no_error
GL_KHR_parallel_shader_compile
GL_KHR_robust_buffer_access_behavior
GL_KHR_robustness
GL_KTX_buffer_region
GL_NVX_blend_equation_advanced_multi_draw_buffers
GL_NVX_conditional_render
GL_NVX_gpu_memory_info
GL_NVX_multigpu_info
GL_NVX_nvenc_interop
GL_NV_ES1_1_compatibility
GL_NV_ES3_1_compatibility
GL_NV_alpha_to_coverage_dither_control
GL_NV_bindless_multi_draw_indirect
GL_NV_bindless_multi_draw_indirect_count
GL_NV_bindless_texture
GL_NV_blend_equation_advanced
GL_NV_blend_equation_advanced_coherent
GL_NV_blend_minmax_factor
GL_NV_blend_square
GL_NV_clip_space_w_scaling
GL_NV_command_list
GL_NV_compute_program5
GL_NV_conditional_render
GL_NV_conservative_raster
GL_NV_conservative_raster_dilate
GL_NV_conservative_raster_pre_snap_triangles
GL_NV_copy_depth_to_color
GL_NV_copy_image
GL_NV_depth_buffer_float
GL_NV_depth_clamp
GL_NV_draw_texture
GL_NV_draw_vulkan_image
GL_NV_explicit_multisample
GL_NV_fence
GL_NV_fill_rectangle
GL_NV_float_buffer
GL_NV_fog_distance
GL_NV_fragment_coverage_to_color
GL_NV_fragment_program
GL_NV_fragment_program2
GL_NV_fragment_program_option
GL_NV_fragment_shader_interlock
GL_NV_framebuffer_mixed_samples
GL_NV_framebuffer_multisample_coverage
GL_NV_geometry_shader4
GL_NV_geometry_shader_passthrough
GL_NV_gpu_program4
GL_NV_gpu_program4_1
GL_NV_gpu_program5
GL_NV_gpu_program5_mem_extended
GL_NV_gpu_program_fp64
GL_NV_gpu_shader5
GL_NV_half_float
GL_NV_internalformat_sample_query
GL_NV_light_max_exponent
GL_NV_multisample_coverage
GL_NV_multisample_filter_hint
GL_NV_occlusion_query
GL_NV_packed_depth_stencil
GL_NV_parameter_buffer_object
GL_NV_parameter_buffer_object2
GL_NV_path_rendering
GL_NV_path_rendering_shared_edge
GL_NV_pixel_data_range
GL_NV_point_sprite
GL_NV_primitive_restart
GL_NV_query_resource
GL_NV_query_resource_tag
GL_NV_register_combiners
GL_NV_register_combiners2
GL_NV_sample_locations
GL_NV_sample_mask_override_coverage
GL_NV_shader_atomic_counters
GL_NV_shader_atomic_float
GL_NV_shader_atomic_float64
GL_NV_shader_atomic_fp16_vector
GL_NV_shader_atomic_int64
GL_NV_shader_buffer_load
GL_NV_shader_storage_buffer_object
GL_NV_shader_thread_group
GL_NV_shader_thread_shuffle
GL_NV_stereo_view_rendering
GL_NV_texgen_reflection
GL_NV_texture_barrier
GL_NV_texture_compression_vtc
GL_NV_texture_env_combine4
GL_NV_texture_multisample
GL_NV_texture_rectangle
GL_NV_texture_rectangle_compressed
GL_NV_texture_shader
GL_NV_texture_shader2
GL_NV_texture_shader3
GL_NV_transform_feedback
GL_NV_transform_feedback2
GL_NV_uniform_buffer_unified_memory
GL_NV_vertex_array_range
GL_NV_vertex_array_range2
GL_NV_vertex_attrib_integer_64bit
GL_NV_vertex_buffer_unified_memory
GL_NV_vertex_program
GL_NV_vertex_program1_1
GL_NV_vertex_program2
GL_NV_vertex_program2_option
GL_NV_vertex_program3
GL_NV_viewport_array2
GL_NV_viewport_swizzle
GL_S3_s3tc
GL_SGIS_generate_mipmap
GL_SGIS_texture_lod
GL_SGIX_depth_texture
GL_SGIX_shadow
GL_SUN_slice_accum
GL_WIN_swap_hint
WGL_EXT_swap_control

Implementation Dependent OpenGL Limits:

Maximum Fixed Function Texture Units: 4
Maximum DrawElements Vertices: 1048576
Maximum DrawElements Indices: 1048576

GLSL:
Maximum Varying Floats: 124
Maximum Vertex Attributes: 16
Maximum Vertex Uniform Components: 4096
Maximum Fragment Uniform Components: 4096
Maximum Vertex Image Units: 32
Maximum Fragment Image Units: 32
Maximum Pipeline Image Units: 192

Cycles:

CPU device capabilities: SSE2 SSE3 SSE41 AVX AVX2

OpenCL device capabilities:
Number of platforms: 1
Platform #0

Platform Name: NVIDIA CUDA
Platform Vendor: NVIDIA Corporation
Platform Version: OpenCL 1.2 CUDA 9.1.84
Platform Profile: FULL_PROFILE
Platform Extensions: cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_copy_opts cl_nv_create_buffer
Number of devices: 2
    Device: #0
        Device Name: GeForce GTX 1080 Ti
        Device Vendor: NVIDIA Corporation
        Device OpenCL C Version: OpenCL C 1.2
        Device Profile: FULL_PROFILE
        Device Version: OpenCL 1.2 CUDA
        Device Extensions: cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_copy_opts cl_nv_create_buffer
    Device: #1
        Device Name: GeForce GTX 1080 Ti
        Device Vendor: NVIDIA Corporation
        Device OpenCL C Version: OpenCL C 1.2
        Device Profile: FULL_PROFILE
        Device Version: OpenCL 1.2 CUDA
        Device Extensions: cl_khr_global_int32_base_atomics cl_khr_global_int32_extended_atomics cl_khr_local_int32_base_atomics cl_khr_local_int32_extended_atomics cl_khr_fp64 cl_khr_byte_addressable_store cl_khr_icd cl_khr_gl_sharing cl_nv_compiler_options cl_nv_device_attribute_query cl_nv_pragma_unroll cl_nv_d3d10_sharing cl_khr_d3d10_sharing cl_nv_d3d11_sharing cl_nv_copy_opts cl_nv_create_buffer

CUDA device capabilities:

GeForce GTX 1080 Ti
    CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_BLOCK            1024
    CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_X            1024
    CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Y            1024
    CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Z            64
    CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_X            2147483647
    CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Y            65535
    CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Z            65535
    CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_BLOCK            49152
    CU_DEVICE_ATTRIBUTE_SHARED_MEMORY_PER_BLOCK            49152
    CU_DEVICE_ATTRIBUTE_TOTAL_CONSTANT_MEMORY            65536
    CU_DEVICE_ATTRIBUTE_WARP_SIZE            32
    CU_DEVICE_ATTRIBUTE_MAX_PITCH            2147483647
    CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_BLOCK            65536
    CU_DEVICE_ATTRIBUTE_REGISTERS_PER_BLOCK            65536
    CU_DEVICE_ATTRIBUTE_CLOCK_RATE            1582000
    CU_DEVICE_ATTRIBUTE_TEXTURE_ALIGNMENT            512
    CU_DEVICE_ATTRIBUTE_GPU_OVERLAP            1
    CU_DEVICE_ATTRIBUTE_MULTIPROCESSOR_COUNT            28
    CU_DEVICE_ATTRIBUTE_KERNEL_EXEC_TIMEOUT            1
    CU_DEVICE_ATTRIBUTE_INTEGRATED            0
    CU_DEVICE_ATTRIBUTE_CAN_MAP_HOST_MEMORY            1
    CU_DEVICE_ATTRIBUTE_COMPUTE_MODE            0
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_WIDTH            131072
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_WIDTH            131072
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_HEIGHT            65536
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_LAYERS            2048
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_NUMSLICES            2048
    CU_DEVICE_ATTRIBUTE_SURFACE_ALIGNMENT            512
    CU_DEVICE_ATTRIBUTE_CONCURRENT_KERNELS            1
    CU_DEVICE_ATTRIBUTE_ECC_ENABLED            0
    CU_DEVICE_ATTRIBUTE_TCC_DRIVER            0
    CU_DEVICE_ATTRIBUTE_MEMORY_CLOCK_RATE            5505000
    CU_DEVICE_ATTRIBUTE_GLOBAL_MEMORY_BUS_WIDTH            352
    CU_DEVICE_ATTRIBUTE_L2_CACHE_SIZE            2883584
    CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_MULTIPROCESSOR            2048
    CU_DEVICE_ATTRIBUTE_ASYNC_ENGINE_COUNT            2
    CU_DEVICE_ATTRIBUTE_UNIFIED_ADDRESSING            1
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_LAYERS            2048
    CU_DEVICE_ATTRIBUTE_CAN_TEX2D_GATHER            1
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH_ALTERNATE            8192
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT_ALTERNATE            8192
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH_ALTERNATE            32768
    CU_DEVICE_ATTRIBUTE_TEXTURE_PITCH_ALIGNMENT            32
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_LAYERS            2046
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_WIDTH            131072
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_HEIGHT            65536
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_WIDTH            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_HEIGHT            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_DEPTH            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_LAYERS            2048
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_LAYERS            2048
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_LAYERS            2046
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LINEAR_WIDTH            134217728
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_WIDTH            131072
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_HEIGHT            65000
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_PITCH            2097120
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MAJOR            6
    CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MINOR            1
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_MIPMAPPED_WIDTH            16384
    CU_DEVICE_ATTRIBUTE_STREAM_PRIORITIES_SUPPORTED            1
    CU_DEVICE_ATTRIBUTE_GLOBAL_L1_CACHE_SUPPORTED            1
    CU_DEVICE_ATTRIBUTE_LOCAL_L1_CACHE_SUPPORTED            1
    CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_MULTIPROCESSOR            98304
    CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_MULTIPROCESSOR            65536
    CU_DEVICE_ATTRIBUTE_MANAGED_MEMORY            1
    CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD            0
    CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD_GROUP_ID            0

GeForce GTX 1080 Ti
    CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_BLOCK            1024
    CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_X            1024
    CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Y            1024
    CU_DEVICE_ATTRIBUTE_MAX_BLOCK_DIM_Z            64
    CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_X            2147483647
    CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Y            65535
    CU_DEVICE_ATTRIBUTE_MAX_GRID_DIM_Z            65535
    CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_BLOCK            49152
    CU_DEVICE_ATTRIBUTE_SHARED_MEMORY_PER_BLOCK            49152
    CU_DEVICE_ATTRIBUTE_TOTAL_CONSTANT_MEMORY            65536
    CU_DEVICE_ATTRIBUTE_WARP_SIZE            32
    CU_DEVICE_ATTRIBUTE_MAX_PITCH            2147483647
    CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_BLOCK            65536
    CU_DEVICE_ATTRIBUTE_REGISTERS_PER_BLOCK            65536
    CU_DEVICE_ATTRIBUTE_CLOCK_RATE            1582000
    CU_DEVICE_ATTRIBUTE_TEXTURE_ALIGNMENT            512
    CU_DEVICE_ATTRIBUTE_GPU_OVERLAP            1
    CU_DEVICE_ATTRIBUTE_MULTIPROCESSOR_COUNT            28
    CU_DEVICE_ATTRIBUTE_KERNEL_EXEC_TIMEOUT            1
    CU_DEVICE_ATTRIBUTE_INTEGRATED            0
    CU_DEVICE_ATTRIBUTE_CAN_MAP_HOST_MEMORY            1
    CU_DEVICE_ATTRIBUTE_COMPUTE_MODE            0
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_WIDTH            131072
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_WIDTH            131072
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_HEIGHT            65536
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LAYERED_LAYERS            2048
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_ARRAY_NUMSLICES            2048
    CU_DEVICE_ATTRIBUTE_SURFACE_ALIGNMENT            512
    CU_DEVICE_ATTRIBUTE_CONCURRENT_KERNELS            1
    CU_DEVICE_ATTRIBUTE_ECC_ENABLED            0
    CU_DEVICE_ATTRIBUTE_TCC_DRIVER            0
    CU_DEVICE_ATTRIBUTE_MEMORY_CLOCK_RATE            5505000
    CU_DEVICE_ATTRIBUTE_GLOBAL_MEMORY_BUS_WIDTH            352
    CU_DEVICE_ATTRIBUTE_L2_CACHE_SIZE            2883584
    CU_DEVICE_ATTRIBUTE_MAX_THREADS_PER_MULTIPROCESSOR            2048
    CU_DEVICE_ATTRIBUTE_ASYNC_ENGINE_COUNT            2
    CU_DEVICE_ATTRIBUTE_UNIFIED_ADDRESSING            1
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LAYERED_LAYERS            2048
    CU_DEVICE_ATTRIBUTE_CAN_TEX2D_GATHER            1
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_GATHER_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_WIDTH_ALTERNATE            8192
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_HEIGHT_ALTERNATE            8192
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE3D_DEPTH_ALTERNATE            32768
    CU_DEVICE_ATTRIBUTE_TEXTURE_PITCH_ALIGNMENT            32
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURECUBEMAP_LAYERED_LAYERS            2046
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_WIDTH            131072
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_HEIGHT            65536
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_WIDTH            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_HEIGHT            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE3D_DEPTH            16384
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE1D_LAYERED_LAYERS            2048
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACE2D_LAYERED_LAYERS            2048
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_SURFACECUBEMAP_LAYERED_LAYERS            2046
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_LINEAR_WIDTH            134217728
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_WIDTH            131072
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_HEIGHT            65000
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_LINEAR_PITCH            2097120
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_WIDTH            32768
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE2D_MIPMAPPED_HEIGHT            32768
    CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MAJOR            6
    CU_DEVICE_ATTRIBUTE_COMPUTE_CAPABILITY_MINOR            1
    CU_DEVICE_ATTRIBUTE_MAXIMUM_TEXTURE1D_MIPMAPPED_WIDTH            16384
    CU_DEVICE_ATTRIBUTE_STREAM_PRIORITIES_SUPPORTED            1
    CU_DEVICE_ATTRIBUTE_GLOBAL_L1_CACHE_SUPPORTED            1
    CU_DEVICE_ATTRIBUTE_LOCAL_L1_CACHE_SUPPORTED            1
    CU_DEVICE_ATTRIBUTE_MAX_SHARED_MEMORY_PER_MULTIPROCESSOR            98304
    CU_DEVICE_ATTRIBUTE_MAX_REGISTERS_PER_MULTIPROCESSOR            65536
    CU_DEVICE_ATTRIBUTE_MANAGED_MEMORY            1
    CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD            0
    CU_DEVICE_ATTRIBUTE_MULTI_GPU_BOARD_GROUP_ID            1

Enabled add-ons:

io_mesh_stl (version: (1, 1, 2), path: C:\Program Files\Blender Foundation\Blender\2.79\scripts\addons\io_mesh_stl\init__.py)
cycles (version: UNKNOWN, path: C:\Program Files\Blender Foundation\Blender\2.79\scripts\addons\cycles\
init.py)
add_curve_ivygen (version: (0, 1, 2), path: C:\Program Files\Blender Foundation\Blender\2.79\scripts\addons\add_curve_ivygen.py)
add_curve_sapling (version: (0, 3, 3), path: C:\Program Files\Blender Foundation\Blender\2.79\scripts\addons\add_curve_sapling\
init.py)
add_mesh_extra_objects (version: (0, 3, 2), path: C:\Program Files\Blender Foundation\Blender\2.79\scripts\addons\add_mesh_extra_objects\
init__.py)

-----Original Message-----
From: Philipp Oeser <noreply@developer.blender.org>
To: TimothyMasters <TimothyMasters@compuserve.com>
Sent: Tue, Jun 12, 2018 7:21 am
Subject: [developer.blender.org] [Triaged] T55437: Blender 2.79b SOMETIMES fails to start: "Your system does not use 3D hardware acceleration"

Philipp Oeser (lichtwerk) triaged this task as "Incomplete" priority.
Philipp Oeser (lichtwerk) added a comment.

Hm, seems like somehow not using the NVidia cards (or falls back)

reading the source, your GPU vendor is detected as "Microsoft Corporation" or "GDI Generic" in this case.

are these the drivers from NVIDIA (or somehow installed via Windows?) Which version? Have you tried other versions?
is there another (integrated?) graphics chip in your system?
have you tried launching blender explicitly with the NVIDIAs? (I believe you can choose this in the windows context menu?)
could you attach your system info here [In blender: Help >> Save System Info]

Marking as incomplete until we have an answer...

TASK DETAIL
https://developer.blender.org/T55437

EMAIL PREFERENCES
https://developer.blender.org/settings/panel/emailpreferences/

To: Philipp Oeser (lichtwerk)
Cc: Philipp Oeser (lichtwerk), Timothy Masters (TimmyM), gorka (jinefrai), Abhishek (Abhishek453), Cosmos Deng (cosmosdeng), nicolas (lucasovsky), Eduardo Schilling (elschilling), Phillip Thomas (philliptee), Victor Chavez (Aradriel), maneesh (mourya), Moises Monteiro (moisesmonteiro20xx), RUben (KUbo_0), Jaden LeMieux (jadenquinn8), blessed nyatsine (BFTKO), Bob (KaiFireBlast), umar haruna abdullahi (pyc0d3r), Lucineia Souza (lucineia123456), Karl (KrySoar), Satish Goda (satishgoda), Ivan (Ichekrigin), Aditia A. Pratama (aditiapratama), iKlsR (iklsr), Steve Obbayi (sobbayi)

More information...

After starting and running correctly about a dozen times, it failed to start again just now with the same error. Per your suggestion, I tried using the context menu to explicitly select one of my two GTX 1080 Ti cards, but neither selection works. I got lucky this time, because rebooting let it start. But sometimes I have to remove and reinstall Blender to fix it, which is a pain!

Thanks for the report, archiving since this is specific hardware/driver issue and all workforce is now focused on 2.8 anyway. :)

Also for the future, please do not paste walls of text like that directly in reports/comments, such reports must be attached as text files instead.

Bastien Montagne (mont29) closed this task as Archived.Fri, Jul 13, 4:41 PM
Bastien Montagne (mont29) claimed this task.